
<%@ page language="java" import="java.util.*" errorPage="error.jsp"%>
<jsp:useBean id="em" scope="session" class="EntrakMain"/>
<jsp:useBean id="mcpm" scope="session" class="MainControlPanel_Map"/>

<%

    String customerName = "A. N. Kim";
    String customerAddressLine1 = "21, Ivanhoe Rd";
	String customerAddressLine2 = "Springburn, Glasgow G32 0DF";

    mcpm.setConnection(em.con);
    mcpm.setDatabase(em.database);

    mcpm.setUrlMap(em.urlMap);
    mcpm.setUrlHelp(em.urlHelp);
    mcpm.setHostOfDBMS(em.hostOfDBMS);
    mcpm.setUsername(em.username);
    mcpm.setPassword(String.copyValueOf(em.password));

    //mcpm.setUrlEntrakHome("file:///c:\\smart_home\\entrakWeb\\server_side_java\\classes");
    //em.urlEntrakHome = new String( "file:///" + System.getProperty( "user.dir")) ;
    mcpm.setUrlEntrakHome( "file:///usr2/entrak/entrak_java/classes" ); 

    //System.out.println("JSPMCPM_MenuBar, urlEntrakHome : " + mcpm.getUrlEntrakHome());
    //System.out.println("JSPMCPM_MenuBar, database : " + mcpm.getHostOfDBMS());
    
    mcpm.urlScope =  "http://peta-esru.mecheng.strath.ac.uk:8000/eeis/smarthome.scope";

%>

<html>
<head>
<title>Environment Energy Information Options</title>

<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">

<!--meta NAME="keywords" CONTENT="insert, keywords, here">
<!--meta NAME="description" CONTENT="Enter brief description here" -->

<script LANGUAGE="JavaScript">
<!--
function MM_preloadimages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadimages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_nbGroup(event, grpName) { //v3.0
  var i,img,nbArr,args=MM_nbGroup.arguments;
  if (event == "init" && args.length > 2) {
    if ((img = MM_findObj(args[2])) != null && !img.MM_init) {
      img.MM_init = true; img.MM_up = args[3]; img.MM_dn = img.src;
      if ((nbArr = document[grpName]) == null) nbArr = document[grpName] = new Array();
      nbArr[nbArr.length] = img;
      for (i=4; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
        if (!img.MM_up) img.MM_up = img.src;
        img.src = img.MM_dn = args[i+1];
        nbArr[nbArr.length] = img;
    } }
  } else if (event == "over") {
    document.MM_nbOver = nbArr = new Array();
    for (i=1; i < args.length-1; i+=3) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = (img.MM_dn && args[i+2]) ? args[i+2] : args[i+1];
      nbArr[nbArr.length] = img;
    }
  } else if (event == "out" ) {
    for (i=0; i < document.MM_nbOver.length; i++) {
      img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; }
  } else if (event == "down") {
    if ((nbArr = document[grpName]) != null)
      for (i=0; i < nbArr.length; i++) { img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; }
    document[grpName] = nbArr = new Array();
    for (i=2; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = img.MM_dn = args[i+1];
      nbArr[nbArr.length] = img;
  } }
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>


</head>


 

<body BGCOLOR="#FFFFFF" BACKGROUND="images/backg.gif" TOPMARGIN="0" LEFTMARGIN="2" MARGINWIDTH="0" MARGINHEIGHT="0" onLoad="MM_preloadimages('images/loginpagewhite.gif','images/loginpageselected.gif','images/loginpage.gif','images/signupselected.gif','images/signup.gif','images/aboutselected.gif','images/about.gif','images/help2selected.gif','images/help2.gif','images/loginpageselected.gif','images/loginpagewhite.gif','images/signupselected.gif','images/signupwhite.gif','images/aboutselected.gif','images/aboutwhite.gif','images/help2selected.gif','images/help2white.gif','images/monitoringselected.gif','images/monitoring.gif','images/controlselected.gif','images/control.gif','images/analysisselected.gif','images/analysis.gif','images/homeselected.gif','images/home.gif','images/monitoringselected.gif','images/monitoring.gif','images/monitoringblack.gif','images/monitoringwhite.gif','images/logout.gif')" >


<table BORDER="0" CELLSPACING="0" CELLPADDING="0" HEIGHT="83" ALIGN="LEFT" WIDTH="100%">
  <tr> 
	<td HEIGHT="59" COLSPAN="4"> 
	  <table WIDTH="100%" BORDER="0" CELLSPACING="0" CELLPADDING="0" HEIGHT="100%">
	  
		<tr> 
		  <td WIDTH="50%" BORDERCOLOR="#FFFFFF" ROWSPAN="3" HEIGHT="60"><font COLOR="#999999" SIZE="+7" FACE="Verdana, Arial, Helvetica, sans-serif"><img SRC="images/smarthome.gif"></font></td>
		  <td WIDTH="50%" VALIGN="MIDDLE" HEIGHT="20"> 
			<div ALIGN="RIGHT"><font COLOR="#FFFFFF" SIZE="1" FACE="Arial, Helvetica, sans-serif"><%=customerName%></font></div>
		  </td>
		</tr>
		<tr> 
		  <td WIDTH="50%" VALIGN="MIDDLE" HEIGHT="20"> 
			<div ALIGN="RIGHT"><font COLOR="#FFFFFF" SIZE="1" FACE="Arial, Helvetica, sans-serif"><%=customerAddressLine1%></font></div>
		  </td>
		</tr>
		<tr> 
		  <td WIDTH="50%" VALIGN="MIDDLE" HEIGHT="20"> 
			<div ALIGN="RIGHT"><font COLOR="#FFFFFF" SIZE="1" FACE="Arial, Helvetica, sans-serif"><%=customerAddressLine2%></font></div>
		  </td>
		</tr>
		
	  </table>
	</td>
  </tr>
  <tr> 
	<td VALIGN="TOP" WIDTH="170" NOWRAP> <img SRC="images/spacer1.gif" WIDTH="180" HEIGHT="20"> 
	</td>
	<td VALIGN="TOP" ALIGN="LEFT" WIDTH="9" NOWRAP> 
	  <table BORDER="0" CELLPADDING="0" CELLSPACING="0">
		<tr> 
		  <td><a HREF="MonitoringFrame.jsp" TARGET="mainFrame" onClick="MM_nbGroup('down','group1','Monitoring','images/monitoringselected.gif',1)" onMouseOver="MM_nbGroup('over','Monitoring','images/monitoringblack.gif','images/monitoringselected.gif',1)" onMouseOut="MM_nbGroup('out')"><img NAME="Monitoring" SRC="images/monitoringselected.gif" BORDER="0" onLoad="MM_nbGroup('init','group1','Monitoring','images/monitoringwhite.gif',1)"></a></td>
		  <td><a HREF="ControlFrame.jsp" onClick="MM_nbGroup('down','group1','Control','images/controlselected.gif',1)" onMouseOver="MM_nbGroup('over','Control','images/control.gif','images/controlselected.gif',1)" onMouseOut="MM_nbGroup('out')" TARGET="mainFrame"><img NAME="Control" SRC="images/controlwhite.gif" BORDER="0" onLoad=""></a></td>
		  <td><a HREF="AnalysisFrame.htm" onClick="MM_nbGroup('down','group1','Analysis','images/analysisselected.gif',1)" onMouseOver="MM_nbGroup('over','Analysis','images/analysis.gif','images/analysisselected.gif',1)" onMouseOut="MM_nbGroup('out')" TARGET="mainFrame"><img NAME="Analysis" SRC="images/analysiswhite.gif" BORDER="0" onLoad=""></a></td>
		</tr>
	  </table>
	</td>
	<td VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" NOWRAP>&nbsp; </td>
	<td NOWRAP WIDTH="70"> <a HREF="index.jsp" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image13','','images/logout.gif',1)" TARGET="_top"><img NAME="Image13" BORDER="0" SRC="images/logoutwhite.gif"></a> 
	</td>
  </tr>
</table>
</body>

</html>
